package sharedaccount

import (
	"gitea.frenchtouch.duckdns.org/kratisto/budget-backend/handler"
	"gitea.frenchtouch.duckdns.org/kratisto/budget-backend/internal/storage/dao/postgresql"

	"github.com/gin-gonic/gin"
)

type Context struct {
	service *Service
	db      *Database
	*handler.Context
}

func (c *Context) ShareAnAccount(context *gin.Context) {

}

func (c *Context) DeleteSharedAccount(context *gin.Context) {

}

func (c *Context) GetAllSharedAccountOfUser(context *gin.Context) {

}

func (c *Context) GetSpecificSharedAccountOfUser(context *gin.Context) {

}

func NewHandler(ctx *handler.Context, db *postgresql.DatabasePostgreSQL) *Context {
	database := NewDatabase(db)
	service := NewService(database)
	return &Context{service: service, db: database, Context: ctx}

}
